﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace StandardWeightCalculator
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            Calculator calc = new Calculator();
            calc.Name = "Person";
            calc.Height = (float)double.Parse(textBox1.Text);
            calc.Weight = (float)double.Parse(textBox2.Text);
            if (radioButton1.Checked)
                calc.Gender = Gender.Male;
            else if (radioButton2.Checked)
                calc.Gender = Gender.Female;
            if (calc != null) 
            {
                System.Diagnostics.Trace.WriteLine("Person 성별=" + calc.Gender);
                float standardWeight = calc.GetNormalWeight();
                BMI bmi = calc.GetBMI();
                System.Diagnostics.Trace.WriteLine("Person 표준체중=" + standardWeight);
                System.Diagnostics.Trace.WriteLine("Person 비만도=" + bmi);
                textBox3.Text = standardWeight.ToString();
                textBox4.Text = bmi.ToString();
            }
        }
    }
}
